UpdateTokenAccount

Updates the card PAN information associated with a token i.e. VoucherID, Expiry Update and Account Deletion

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
customerReferenceString1-255 characters✓Customer reference linked with this card
oldCardIdentifierString1-10 characters✓Card number or Tracking number of the card to transfer the token from
newCardIdentifierString1-10 characters✓Card number or Tracking number of the card to transfer the token to
expiryDateString✓Date which specifies when the card expires
reasonCodeString✓Reason for the update. Valid values: “ACCOUNT_UPDATE” “EXP_DATE_UPDATE” “ACCOUNT_CLOSED”
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
    <methodName>UpdateTokenAccount</methodName>
    <params>
        <param>
            <value>
                <string>0019281816</string>
            </value>
        </param>
        <param>
            <value>
                <string>66816921087</string>
            </value>
        </param>
        <param>
            <value>
                <string>5338929641845427</string>
            </value>
        </param>
        <param>
            <value>
                <string>5338921954278213</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200206</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>ACCOUNT_UPDATE</string>
            </value>
        </param>
        <param>
            <value>
                <string>12345678945</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200206T18:43:51</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>E4045FD7F44C3EA80BDF3EFB415D6D9CCA20F3A4</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringStatus text indicating transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Approved</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>